Package com.usatiuk.utils

# Class UnsafeAccessor

java.lang.Object
com.usatiuk.utils.UnsafeAccessor

public abstract class UnsafeAccessor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final jdk.internal.access.JavaNioAccess`
`NIO`
`static final sun.misc.Unsafe`
`UNSAFE`

## Constructor Summary

Constructors
Constructor
Description
`UnsafeAccessor()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NIO

public static final jdk.internal.access.JavaNioAccess NIO

### UNSAFE

public static final sun.misc.Unsafe UNSAFE

## Constructor Details

### UnsafeAccessor

public UnsafeAccessor()